# Get order

Retrieve a single order’s details using this endpoint. Please note that this is a <mark style="background-color:purple;">Private 🔒</mark> route which means it needs to be authorised by the account initiating this request.

> Note: You will need to include the JWT Auth token to request headers to access this endpoint. To get the JWT Auth Token, refer the [login](https://docs.brine.fi/tech/api-documentation/account/login) section of the documentation.

### Endpoint <a href="#endpoint" id="endpoint"></a>

```bash
GET /sapi/v1/orders/{order_id}/
```

#### Example

```bash
{baseurl}/sapi/v1/orders/23157052/
```

#### Response <a href="#response" id="response"></a>

```json
{
  "status": "success",
  "message": "Order Retrieved Successfully",
  "payload": {
    "id": 23157052,
    "uuid": "a0b17d1f-0f2c-4c93-ad40-2e71077de499",
    "side": "buy",
    "ord_type": "market",
    "price": null,
    "avg_price": "0.0",
    "state": "cancel",
    "market": "btcusdc",
    "created_at": "2022-11-08T11:53:09+01:00",
    "updated_at": "2022-11-08T11:53:14+01:00",
    "origin_volume": "0.0051",
    "remaining_volume": "0.0051",
    "executed_volume": "0.0",
    "maker_fee": "0.001",
    "taker_fee": "0.001",
    "trades_count": 0,
    "trades": []
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.brine.fi/tech/api-documentation/trading/get-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
